Bug 1684612 - Review Request: f30-backgrounds - Fedora 30 default desktop background
Summary: Review Request: f30-backgrounds - Fedora 30 default desktop background
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Keywords:
Depends On:
Blocks: BetaBlocker, F30BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2019-03-01 16:18 UTC by Luya Tshimbalanga
Modified: 2019-03-18 19:08 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2019-03-14 17:54:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
leigh123linux: fedora-review+


Attachments (Terms of Use)
anaconda with new installer in branched Fedora-MATE_Compiz-Live-x86_64-30-20190307.n.1.iso (132.25 KB, image/png)
2019-03-07 22:47 UTC, satellitgo
no flags Details

Description Luya Tshimbalanga 2019-03-01 16:18:14 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/luya/f30-backgrounds/fedora-rawhide-x86_64/00863805-f30-backgrounds/f30-backgrounds.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/luya/f30-backgrounds/fedora-rawhide-x86_64/00863805-f30-backgrounds/f30-backgrounds-30.0.0-1.fc30.src.rpm
Description: This package contains desktop backgrounds for the Fedora %{relnum} default theme.  Pulls in themes for GNOME, KDE, Mate and Xfce desktops.
Fedora Account System Username:

Comment 1 Luya Tshimbalanga 2019-03-01 16:20:09 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/luya/f30-backgrounds/fedora-rawhide-x86_64/00863805-f30-backgrounds/f30-backgrounds.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/luya/f30-backgrounds/fedora-rawhide-x86_64/00863805-f30-backgrounds/f30-backgrounds-30.0.0-1.fc30.src.rpm
Description: This package contains desktop backgrounds for the Fedora 30 default theme.  Pulls in themes for GNOME, KDE, Mate and Xfce desktops.
Fedora Account System 
Username: luya

Comment 2 Fedora Blocker Bugs Application 2019-03-01 16:28:25 UTC
Proposed as a Blocker for 30-beta by Fedora user luya using the blocker tracking app because:

 Default desktop backgrounds for the beta release of Fedora 30.

Comment 3 Miro Hrončok 2019-03-01 17:10:34 UTC
$ spectool -g f30-backgrounds.spec 
Getting https://github.com/fedoradesign/backgrounds/releases/download/v30.0.0/f30-backgrounds-30.0.0.tar.xz to ./f30-backgrounds-30.0.0.tar.xz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 4 leigh scott 2019-03-01 18:19:45 UTC
Package approved, please upload the source to github before you import and build for fedora.

Comment 5 Chris Murphy 2019-03-01 19:48:24 UTC
Should this be set to Fedora 30 instead of Rawhide?

Comment 6 Luya Tshimbalanga 2019-03-02 04:21:42 UTC
(In reply to leigh scott from comment #4)
> Package approved, please upload the source to github before you import and
> build for fedora.

Whoops! Thanks for catching that. The source is now uploaded on https://github.com/fedoradesign/backgrounds/releases/tag/v30.0.0

Comment 7 Luya Tshimbalanga 2019-03-02 07:42:47 UTC
(In reply to Chris Murphy from comment #5)
> Should this be set to Fedora 30 instead of Rawhide?

No necessary. The better practice is to set on Rawhide first when it comes to import a new package.

Comment 8 Gwyn Ciesla 2019-03-04 14:20:39 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/f30-backgrounds

Comment 9 Geoffrey Marr 2019-03-04 18:31:09 UTC
Discussed during the 2019-03-04 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedBlocker" was made as it violates the following criteria:

"The default desktop background must be different from that of the last two stable releases"

Note: the new package needs to be approved, built and pushed in order to meet that criterion.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-03-04/f30-blocker-review.2019-03-04-17.03.txt

Comment 10 Luya Tshimbalanga 2019-03-05 00:31:57 UTC
(In reply to Geoffrey Marr from comment #9)
> 
> Note: the new package needs to be approved, built and pushed in order to
> meet that criterion.
> 
All conditions met 
https://koji.fedoraproject.org/koji/packageinfo?packageID=28203

Comment 11 Adam Williamson 2019-03-05 18:53:05 UTC
Seems that package just beat the freeze, so I will mark this as ON_QA: when we finally get another successful compose, it should be in it, and we can verify that the backgrounds are used in all blocking media (Workstation, KDE, XFCE).

Comment 12 Miro Hrončok 2019-03-06 10:47:50 UTC
(In reply to leigh scott from comment #4)
> Package approved, please upload the source to github before you import and
> build for fedora.

Can you please stick to https://docs.fedoraproject.org/en-US/packaging-guidelines/ReviewGuidelines/ next time?

Comment 13 leigh scott 2019-03-06 11:07:33 UTC
(In reply to Miro Hrončok from comment #12)
> (In reply to leigh scott from comment #4)
> > Package approved, please upload the source to github before you import and
> > build for fedora.
> 
> Can you please stick to
> https://docs.fedoraproject.org/en-US/packaging-guidelines/ReviewGuidelines/
> next time?

Why pick on me?, the f29-backgrounds review was also done in a similar manner.

https://bugzilla.redhat.com/show_bug.cgi?id=1622789

Also consider it as just a simple renaming of an existing package, I wouldn't be this lenient on a new package!

Comment 14 Miro Hrončok 2019-03-06 11:47:04 UTC
I pick you, because I see you. I haven't seen the previous ones. In case somebody thinks a review is not needed, they should ask for a FPC exception.

Disclaimer: I do this every time I see "LGTM" package review.

Comment 15 leigh scott 2019-03-06 13:58:45 UTC
(In reply to Miro Hrončok from comment #14)
> I pick you, because I see you. I haven't seen the previous ones. In case
> somebody thinks a review is not needed, they should ask for a FPC exception.

I could have filed a FPC or whatever and probably got a response after beta freeze :sarcasm:

> 
> Disclaimer: I do this every time I see "LGTM" package review.

Have you ever considered a job in law enforcement?, you have the exact qualities needed :sarcasm:

Comment 16 satellitgo 2019-03-07 22:46:18 UTC
fixed in Fedora-MATE_Compiz-Live-x86_64-30-20190307.n.1.iso  branched with 30.25.3-2.fc30

Comment 17 satellitgo 2019-03-07 22:47 UTC
Created attachment 1541980 [details]
anaconda with new installer in  branched Fedora-MATE_Compiz-Live-x86_64-30-20190307.n.1.iso

Comment 18 Adam Williamson 2019-03-14 17:54:19 UTC
So, looking at today's Branched compose in openQA, KDE at least does not have the new background. But the package is definitely in the compose, so I guess we can call this bug fixed and file new one(s) for desktops that still need changes, I'll have to check Xfce as well.

Comment 19 Adam Williamson 2019-03-14 18:06:19 UTC
Filed https://bugzilla.redhat.com/show_bug.cgi?id=1688925 for KDE. We also have https://bugzilla.redhat.com/show_bug.cgi?id=1688800 for MATE, that's an FE not a blocker. Will check Xfce shortly.

Comment 20 Adam Williamson 2019-03-14 18:54:37 UTC
GNOME and Xfce appear to use the new background at every point (live, installed, and - for Xfce - login manager), so they are fine.

Comment 21 Adam Williamson 2019-03-18 19:08:47 UTC
Source1 in this package - metadata.desktop , which is the KDE desktop configuration - was copied from the F29 package and not updated, it's stuffed with F29s:

[Desktop Entry]
Name=Fedora Twenty Nine
Comment=Fedora Plasma theme

X-KDE-PluginInfo-Author=Fedora KDE-SIG
X-KDE-PluginInfo-Email=kde@lists.fedoraproject.org
X-KDE-PluginInfo-Name=F29
X-KDE-PluginInfo-Version=29.0
...
[Wallpaper]
defaultWallpaperTheme=F29

please pay more attention to this next time. I will send an update that fixes this.


Note You need to log in before you can comment on or make changes to this bug.